
QGIS Application - Bug report #16026

Value map entries aren't copied with table style (2.99 110ffe2)

2016-12-31 04:42 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Xubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23941

Description

In 2.14 and earlier versions, when a table's style is copied and then pasted to another table, the pasted data includes the list entries for

any value maps that are present for individual table fields.

In 2.99, the value map entries are not being copied in the tables which are the subject of bug report #16020.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2017-10-02 06:26 AM - Patrick Dunford

This issue seems to be resolved in master 2.99 313ec55

#4 - 2017-10-02 06:31 AM - Patrick Dunford

Steps for testing:

    1. Save a copy of a table

    2. Copy the style from the original table to the new table

    3. When you open the table for the first time, value map fields only display the value field, not the description

    4. Save or close the table

    5. When you open the table again, the value map fields display the description.

#5 - 2017-10-02 09:39 AM - Giovanni Manghi

- Description updated

- Status changed from Open to Feedback

Still valid in 2.18?

#6 - 2018-01-29 05:04 AM - Nyall Dawson

I can't reproduce on current master - please confirm whether this is still an issue.
#7 - 2018-02-22 12:53 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
